Page MenuHomePhabricator

Citation dialogs should have cursor positioned in the first field as in Template/Media
Closed, ResolvedPublic1 Story Points

Description

When you open Link inspector, Media, Template, Formula, and Basic citation dialog s- a cursor will be placed in, so a user can start typing right away. The first field will be highlighted too.

Citation dialogs do not display a cursor positioned in the first field and do not have the field highlighted.

Event Timeline

Etonkovidova raised the priority of this task from to Low.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: VisualEditor.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2015, 6:11 PM

Change 203237 had a related patch set uploaded (by Mooeypoo):
Focus on the first input in template dialog

https://gerrit.wikimedia.org/r/203237

Mooeypoo claimed this task.Apr 10 2015, 4:45 PM

Change 203237 merged by jenkins-bot:
Focus on the first input in template dialog

https://gerrit.wikimedia.org/r/203237

Jdforrester-WMF closed this task as Resolved.Apr 14 2015, 11:44 PM
Jdforrester-WMF raised the priority of this task from Low to Normal.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.